Bug 166812 - Openoffice.org crashes while saving keyboard customization and documents are not restored while relaunching
Summary: Openoffice.org crashes while saving keyboard customization and documents are ...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
(Show other bugs)
Version: 4
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-08-25 23:53 UTC by David
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.9.125-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-26 13:26:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David 2005-08-25 23:53:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
This happens if the file name includes a dot. The biggest problem is documents not being restored.

Version-Release number of selected component (if applicable):
openoffice.org-core-1.9.117-3.1.0.fc4

How reproducible:
Always

Steps to Reproduce:
1. Open Writer or Calc
2. Go to Menu: Tools->Customize, choose keyboard Tab
3. Press Save with a file name containing a dot
  

Actual Results:  Openoffice crashes and leaves no rescue backup of open documents

Expected Results:  Backups of open documents should be restored when opening

Additional info:

Output that is asked to be put in the bug report

0xdfdb96: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1db96
0xdfe3e4: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e3e4
0x5c8420:  + 0x420 (__kernel_sigreturn + 0x0)
0xe0a328: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x2a328 (rtl_uString_acquire + 0x17)
0x4168589: /usr/lib/openoffice.org2.0/program/fps_gnome.uno.so + 0xd589
0x4169152: /usr/lib/openoffice.org2.0/program/fps_gnome.uno.so + 0xe152
0x41676dc: /usr/lib/openoffice.org2.0/program/fps_gnome.uno.so + 0xc6dc
0x4168289: /usr/lib/openoffice.org2.0/program/fps_gnome.uno.so + 0xd289
0x1f1b8ad: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1c58ad
0x23dce1: /usr/lib/openoffice.org2.0/program/libvos3gcc3.so + 0x14ce1 (vos::_cpp_OThread_WorkerFunction(void*) + 0xd)
0x23dd0f: /usr/lib/openoffice.org2.0/program/libvos3gcc3.so + 0x14d0f (_OThread_WorkerFunction(void*) + 0x17)
0xdf7339: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x17339
0x658b80: /lib/libpthread.so.0 + 0x5b80
0x6d209ce: /lib/libc.so.6 + 0xca9ce (__clone + 0x5e)

Comment 1 Caolan McNamara 2005-08-26 07:55:15 UTC
the workaround should be to explicitly change the drop down filter list to
"configuration" instead of the default "All Files"

Comment 2 Caolan McNamara 2005-08-26 08:23:55 UTC
have a patch


Note You need to log in before you can comment on or make changes to this bug.